%define date 20001209

Summary: True Type Font Manager
Name: ttfm
Version: 0.9.1
Release: 3tc1
Copyright: GPL
Packager: Red Hat, Inc. <http://bugzilla.redhat.com/bugzilla>
Vendor: Red Hat, Inc.
Group: System Environment/Base
Source: ttfm-%{version}.tar.gz
BuildRequires: freetype-devel >= 1.3.1
Prereq: /bin/mkdir /bin/ls /bin/sh
Buildroot: /var/tmp/%{name}-root
URL: http://cle.linux.org.tw/

%description
A True Type Font Manager that handles true type font installation,
uninstallation, list, and default font setting.
The package containing a module xttfm that create appropriate
font.dir and font.alias for truetype font in X Window System.
A program using truetype font should provide a module for ttfm
so that the font could be controlled automatically.

Release date %{date}.

%prep
%setup

%build
make

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/bin
mkdir -p $RPM_BUILD_ROOT/usr/sbin
mkdir -p $RPM_BUILD_ROOT/usr/share/fonts/install
prefix=$RPM_BUILD_ROOT/usr make -e install
prefix=$RPM_BUILD_ROOT/usr make -e modules_install

%clean
rm -rf $RPM_BUILD_ROOT

%post
[ "$1" = 1 ] && /usr/sbin/ttfm.sh --initm all
exit 0

%files
%defattr(-,root,root)
%doc README USAGE
/usr/bin/ttfinst.tk
/usr/bin/ttfinfo
/usr/sbin/ttfm.sh
%dir /usr/share/fonts/install
/usr/share/fonts/install/xttfm.ttfm
# only xttfm.ttfm, the other modules are provided by packages using TTF fonts

%changelog
* Wed Dec 13 2000 Chung-Yen Chang <candyz@cle.linux.org.tw>
- fix ttfm.sh md5 bugs

* Sat Dec 09 2000 Chung-Yen Chang <candyz@cle.linux.org.tw>
- move xttfm.ttfm to xttfm-tcl.ttfm
- add ghostscript6.ttfm xfreetype.ttfm xttfm.ttfm (by keith)

* Wed Feb  2 2000 Yuan-Chung Cheng <platin@linux.org.tw>
- remove all /usr/share/fonts/install/ modules, these modules should be
  provided by packages using TTF fonts.

* Fri Jan 07 2000 Chih-Wei Huang <cwhuang@linux.org.tw>
- added USAGE information

* Thu Jan 06 2000 Chih-Wei Huang <cwhuang@linux.org.tw>
- xttfm updated
- fixed stupid bug in ttfm.sh

* Wed Jan 05 2000 Chih-Wei Huang <cwhuang@linux.org.tw>
- added --initm
- enhanced --list
- added README

* Tue Jan 04 2000 Chih-Wei Huang <cwhuang@linux.org.tw>
- first release
